import { ThemeProvider, createTheme } from "@mui/material";
import React, { PropsWithChildren } from "react";

export function CustomThemeProvider({
  children,
}: PropsWithChildren<{ cookieDarkmode?: boolean }>) {
  const defaultTheme = React.useMemo(
    () =>
      createTheme({
        palette: {
          mode: "light",
        },
      }),
    [],
  );

  const theme = React.useMemo(
    () =>
      createTheme(defaultTheme, {
        components: {
          MuiAppBar: {
            styleOverrides: {
              colorPrimary: {
                backgroundColor: defaultTheme.palette.background.paper,
                color: defaultTheme.palette.text.primary,
              },
            },
          },
        },
      }),
    [defaultTheme],
  );

  return <ThemeProvider theme={theme}>{children}</ThemeProvider>;
}
